Index: uspace/srv/devman/client_conn.c
===================================================================
--- uspace/srv/devman/client_conn.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
+++ uspace/srv/devman/client_conn.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
@@ -61,5 +61,5 @@
 /** Find handle for the device instance identified by the device's path in the
  * device tree. */
-static void devman_function_get_handle(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_function_get_handle(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	char *pathname;
@@ -100,5 +100,5 @@
 
 /** Get device match ID. */
-static void devman_fun_get_match_id(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_get_match_id(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -112,5 +112,5 @@
 	}
 
-	ipc_callid_t data_callid;
+	cap_call_handle_t data_callid;
 	size_t data_len;
 	if (!async_data_read_receive(&data_callid, &data_len)) {
@@ -163,5 +163,5 @@
 
 /** Get device name. */
-static void devman_fun_get_name(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_get_name(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -173,5 +173,5 @@
 	}
 
-	ipc_callid_t data_callid;
+	cap_call_handle_t data_callid;
 	size_t data_len;
 	if (!async_data_read_receive(&data_callid, &data_len)) {
@@ -216,5 +216,5 @@
 
 /** Get function driver name. */
-static void devman_fun_get_driver_name(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_get_driver_name(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -226,5 +226,5 @@
 	}
 
-	ipc_callid_t data_callid;
+	cap_call_handle_t data_callid;
 	size_t data_len;
 	if (!async_data_read_receive(&data_callid, &data_len)) {
@@ -281,5 +281,5 @@
 
 /** Get device path. */
-static void devman_fun_get_path(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_get_path(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -291,5 +291,5 @@
 	}
 
-	ipc_callid_t data_callid;
+	cap_call_handle_t data_callid;
 	size_t data_len;
 	if (!async_data_read_receive(&data_callid, &data_len)) {
@@ -334,5 +334,5 @@
 
 /** Get handle for parent function of a device. */
-static void devman_dev_get_parent(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_dev_get_parent(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	dev_node_t *dev;
@@ -358,7 +358,7 @@
 }
 
-static void devman_dev_get_functions(ipc_callid_t iid, ipc_call_t *icall)
-{
-	ipc_callid_t callid;
+static void devman_dev_get_functions(cap_call_handle_t iid, ipc_call_t *icall)
+{
+	cap_call_handle_t callid;
 	size_t size;
 	size_t act_size;
@@ -407,5 +407,5 @@
 
 /** Get handle for child device of a function. */
-static void devman_fun_get_child(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_get_child(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -437,5 +437,5 @@
  * of this function is linked to state of another function somehow).
  */
-static void devman_fun_online(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_online(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -462,5 +462,5 @@
  * function somehow).
  */
-static void devman_fun_offline(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_offline(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -480,5 +480,5 @@
 
 /** Find handle for the function instance identified by its service ID. */
-static void devman_fun_sid_to_handle(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_fun_sid_to_handle(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -506,7 +506,7 @@
 
 /** Get list of all registered drivers. */
-static void devman_get_drivers(ipc_callid_t iid, ipc_call_t *icall)
-{
-	ipc_callid_t callid;
+static void devman_get_drivers(cap_call_handle_t iid, ipc_call_t *icall)
+{
+	cap_call_handle_t callid;
 	size_t size;
 	size_t act_size;
@@ -538,7 +538,7 @@
 }
 
-static void devman_driver_get_devices(ipc_callid_t iid, ipc_call_t *icall)
-{
-	ipc_callid_t callid;
+static void devman_driver_get_devices(cap_call_handle_t iid, ipc_call_t *icall)
+{
+	cap_call_handle_t callid;
 	size_t size;
 	size_t act_size;
@@ -580,5 +580,5 @@
 
 /** Find driver by name. */
-static void devman_driver_get_handle(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_driver_get_handle(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	char *drvname;
@@ -603,5 +603,5 @@
 
 /** Get driver match ID. */
-static void devman_driver_get_match_id(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_driver_get_match_id(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -614,5 +614,5 @@
 	}
 
-	ipc_callid_t data_callid;
+	cap_call_handle_t data_callid;
 	size_t data_len;
 	if (!async_data_read_receive(&data_callid, &data_len)) {
@@ -654,5 +654,5 @@
 
 /** Get driver name. */
-static void devman_driver_get_name(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_driver_get_name(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -664,5 +664,5 @@
 	}
 
-	ipc_callid_t data_callid;
+	cap_call_handle_t data_callid;
 	size_t data_len;
 	if (!async_data_read_receive(&data_callid, &data_len)) {
@@ -694,5 +694,5 @@
 
 /** Get driver state. */
-static void devman_driver_get_state(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_driver_get_state(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	driver_t *drv;
@@ -708,5 +708,5 @@
 
 /** Forcibly load a driver. */
-static void devman_driver_load(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_driver_load(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	driver_t *drv;
@@ -727,5 +727,5 @@
 
 /** Unload a driver by user request. */
-static void devman_driver_unload(ipc_callid_t iid, ipc_call_t *icall)
+static void devman_driver_unload(cap_call_handle_t iid, ipc_call_t *icall)
 {
 	driver_t *drv;
@@ -746,5 +746,5 @@
 
 /** Function for handling connections from a client to the device manager. */
-void devman_connection_client(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+void devman_connection_client(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	/* Accept connection. */
@@ -753,5 +753,5 @@
 	while (true) {
 		ipc_call_t call;
-		ipc_callid_t callid = async_get_call(&call);
+		cap_call_handle_t callid = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
